-- by modelleicher
--
-- www.schwabenmodding.bplaced.net

debugRender = {};

function debugRender.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;
function debugRender:load(xmlFile)
end;
function debugRender:delete()
end;
function debugRender:mouseEvent(posX, posY, isDown, isUp, button)
end;
function debugRender:keyEvent(unicode, sym, modifier, isDown)
end;

function debugRender:update(dt)
    if self:getIsActive() then
		renderText(0.1, 0.01, 0.021, "self.lastMotorRpm: " .. tostring(self.motor.lastMotorRpm));
		renderText(0.1, 0.05, 0.021, "self.nonClampedMotorRpm: " .. tostring(self.motor.nonClampedMotorRpm));
		renderText(0.1, 0.09, 0.021, "self.minRpm: " .. tostring(self.motor.minRpm));
		renderText(0.1, 0.13, 0.021, "self.maxRpmOverride: " .. tostring(self.motor.maxRpmOverride));
		renderText(0.1, 0.17, 0.021, "self.speedLevel: " .. tostring(self.motor.speedLevel));
		renderText(0.1, 0.21, 0.021, "self.lastAcceleration: " .. tostring(self.lastAcceleration));			
		renderText(0.1, 0.25, 0.021, "self.motor.maxRpm[1]: " .. tostring(self.motor.maxRpm[1]));		
		renderText(0.1, 0.29, 0.021, "self.motor.maxRpm[2]: " .. tostring(self.motor.maxRpm[2]));
		renderText(0.1, 0.33, 0.021, "self.motor.maxRpm[3]: " .. tostring(self.motor.maxRpm[3]));		
		renderText(0.1, 0.37, 0.021, "self.motor.maxRpm[4]: " .. tostring(self.motor.maxRpm[4]));	
		renderText(0.1, 0.41, 0.021, "self.motor.rpmFadeOutRange: " .. tostring(self.motor.rpmFadeOutRange));	
		renderText(0.1, 0.45, 0.021, "self.motor.transmissionEfficiency: " .. tostring(self.motor.transmissionEfficiency));	
		
	end;
end;

function debugRender:draw()
end;

